<?php
	if (! isset($slides) && isset($this->data['Slide'])):
		$slides = $this->data['Slide'];
	endif;

	$fields = [];

	if (! empty($slideFields)):
		$fields = $slideFields;
	endif;
?>
<div class="container-fluid">
	<div class="row slideshow-slide-wrapper" data-slots="<?= $slideSlots ?>">
		<?php
			if (!isset($reorder)) {
				if (count($slides) == 1) {
					$reorder = false;
				} else {
					$reorder = true;
				}
			}

			if (!empty($slides)) {
				foreach($slides as $key=>$slide) {
					if (!empty($slide['id'])) {
						echo $this->Element(
							'EvSlideshow.Slides/slide_field',
							array(
								'slide' => $slide,
								'slideKey' => $key,
								'fields' => $fields,
								'reorder' => $reorder,
								'slideImageSlots' => $slideImageSlots
							)
						);
					}
				}
			}
		?>
	</div>
	<?php if (count($slides) < $slideSlots || $slideSlots == -1): ?>
		<div class="row">
			<div class="col-xs-12">
				<?php
					echo $this->Html->link(
						'<i class="fa fa-plus-circle"></i> New Slide',
						"#",
						array(
							'escape' => false,
							'class' => 'add-new-slideshowSlide btn--new-slide btn btn-sm btn-success'
						)
					);
				?>
			</div>
		</div>
	<? endif; ?>
</div>
<?php
	echo $this->Html->css(
		array(
			'EvSlideshow.admin-slides.css'
		),
		array(
			'inline' => false
		)
	);
